{
  "factory": {
    "id": "uniform-based-soap-service-protected",
    "displayName": "SOAP :: UNIFORM :: PROTECTED",
    "type": "entaxy.runtime.service",
    "description": "Uniform SOAP service",
    "isAbstract": false,
    "isInternal": true,
    "parent": "wsdl-based-soap-service-protected",
    "label": "service,soap,uniform",
    "category": ""
  },
  "entaxy.runtime.service": {},
  "fields": {
    "operationRouter": {
      "source": "schemas/uniform-service/operationRouterProtected.xml",
      "defaultValue": {
        "@RESOURCE": {
          "location": {
            "@CALCULATED": {
              "lazy": false,
              "expression": "schemas/uniform-service/operationRouterProtected.xml"
            }
          }
        }
      },
      "@TYPEINFO": {
        "location": "schemas/uniform-service/operationRouterProtected.xml"
      }
    },
    "##headers": {
      "type": "List",
      "required": false,
      "isHidden": true,
      "defaultValue": [
        {
          "name": "Entaxy-Dynamic-Factory-Provider",
          "type": "boolean",
          "value": false
        }
      ]
    }
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "generator": "",
      "config": {
        "configurable": false
      },
      "fields": {
        "operationRouter": {
          "source": "schemas/uniform-service/operationRouterProtected.xml",
          "defaultValue": {
            "@RESOURCE": {
              "location": {
                "@CALCULATED": {
                  "lazy": false,
                  "expression": "schemas/uniform-service/operationRouterProtected.xml"
                }
              }
            }
          },
          "@TYPEINFO": {
            "location": "schemas/uniform-service/operationRouterProtected.xml"
          },
          "immutable": true
        },
        "connectorInFactory": {
          "required": false
        },
        "objectId": {
          "immutable": true,
          "defaultValue": "uniform-passive-service",
          "fixedValue": "uniform-passive-service"
        },
        "address": {
          "immutable": true,
          "defaultValue": "uniform-exchange",
          "fixedValue": "uniform-exchange"
        },
        "serviceFullName": {
          "immutable": true
        },
        "port": {
          "immutable": true
        },
        "dataFormat": {
          "immutable": true
        },
        "displayServiceSchema": {
          "defaultValue": true,
          "fixedValue": true,
          "immutable": true
        },
        "mtomEnabled": {
          "immutable": true,
          "defaultValue": false,
          "fixedValue": false
        },
        "schemaValidationEnabled": {
          "immutable": true,
          "defaultValue": false
        },
        "_serviceMetadata": {
          "immutable": true
        },
        "serviceName": {
          "immutable": true
        },
        "serviceNamespace": {
          "immutable": true
        },
        "authorizationType": {
          "defaultValue": "JAAS"
        },
        "schemaUrl": {
          "immutable": true,
          "defaultValue": "schemas:uniform-service/soap-passive.wsdl",
          "fixedValue": "schemas:uniform-service/soap-passive.wsdl"
        },
        "connectorDispatchingBeans": {
          "defaultValue": {
            "factoryId": "uniform-based-soap-service-protected"
          }
        },
        "@IMPORT": [
          {
            "sourceFactoryId": "service-components",
            "location": "outputs.specificProtectedServiceComponents.fields",
            "prefix": ""
          }
        ],
        "##headers": {
          "required": false
        }
      }
    },
    "connectorDispatchingBeans": {
      "scopes": [
        "private"
      ],
      "fields": {
        "serviceId": {
          "type": "String"
        }
      },
      "config": {
        "configurable": false,
        "@SKIP_PUBLISH": {}
      }
    }
  }
}
